plot.h File Reference
`#include <fg/defines.h>`

Go to the source code of this file.

## Data Structures

class | Plot
| Plot is a line graph to display two dimensional data. More...

## Namespaces

namespace | forge

## Functions

FGAPI fg_err | fg_create_plot (fg_plot *pPlot, const unsigned pNPoints, const fg_dtype pType, const fg_chart_type pChartType, const fg_plot_type pPlotType, const fg_marker_type pMarkerType)
| Create a Plot object.
FGAPI fg_err | fg_retain_plot (fg_plot *pOut, fg_plot pIn)
| Increase reference count of the resource.
FGAPI fg_err | fg_release_plot (fg_plot pPlot)
| Destroy plot object.
FGAPI fg_err | fg_set_plot_color (fg_plot pPlot, const float pRed, const float pGreen, const float pBlue, const float pAlpha)
| Set the color of line graph(plot).
FGAPI fg_err | fg_set_plot_legend (fg_plot pPlot, const char *pLegend)
| Set plot legend.
FGAPI fg_err | fg_set_plot_marker_size (fg_plot pPlot, const float pMarkerSize)
| Set global marker size.
FGAPI fg_err | fg_get_plot_vertex_buffer (unsigned *pOut, const fg_plot pPlot)
| Get the resource identifier for vertices buffer.
FGAPI fg_err | fg_get_plot_color_buffer (unsigned *pOut, const fg_plot pPlot)
| Get the resource identifier for colors buffer.
FGAPI fg_err | fg_get_plot_alpha_buffer (unsigned *pOut, const fg_plot pPlot)
| Get the resource identifier for alpha values buffer.
FGAPI fg_err | fg_get_plot_radii_buffer (unsigned *pOut, const fg_plot pPlot)
| Get the resource identifier for markers radii buffer.
FGAPI fg_err | fg_get_plot_vertex_buffer_size (unsigned *pOut, const fg_plot pPlot)
| Get the vertices buffer size in bytes.
FGAPI fg_err | fg_get_plot_color_buffer_size (unsigned *pOut, const fg_plot pPlot)
| Get the colors buffer size in bytes.
FGAPI fg_err | fg_get_plot_alpha_buffer_size (unsigned *pOut, const fg_plot pPlot)
| Get the alpha values buffer size in bytes.
FGAPI fg_err | fg_get_plot_radii_buffer_size (unsigned *pOut, const fg_plot pPlot)
| Get the markers buffer size in bytes.